Subject: Re: [PATCH 3/4] mpc8349emitx: Add chosen node for default stdout path

From: Timur Tabi <[email-masked]>
Date: Mon, 23 Jul 2007 08:12:12 -0500

Jerry Van Baren wrote:

> The "force" parameter was added to sort of emulate the previous bootm 
> command behavior (but behave better in the case where /chosen already 
> existed).

I don't think the previous bootm behavior was ever desirable.  In fact, I think most people didn't realize that bootm used to create an additional /chosen section if one was in the DTS, and the only reason it worked was because the kernel picked the right one.  IMHO, I think you can safely remove the 'force' parameter and change to code to match "force==true", and no one will care.

I believe all of the DTS files have already been scrubbed of their /chosen section, so "force" doesn't matter with any recent DTS.